Get the workflow run history
curl --request GET \
--url https://api.kadoa.com/v4/workflows/{workflowId}/history \
--header 'x-api-key: <api-key>'import requests
url = "https://api.kadoa.com/v4/workflows/{workflowId}/history"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.kadoa.com/v4/workflows/{workflowId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workflowId": "<string>",
"workflowRuns": [
{
"id": "<string>",
"state": "IN_PROGRESS",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"screenshot": "<string>",
"records": 123,
"errors": [
{
"errorCode": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"screenshot": "<string>",
"context": {
"url": "<string>",
"httpStatus": 123,
"retryCount": 123,
"details": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}
],
"credits": 123,
"startedBy": "SCHEDULE"
}
],
"totalCount": 123,
"pagination": {
"page": 123,
"limit": 123,
"totalPages": 123,
"totalCount": 123
}
}Workflows
Get the workflow run history
GET
/
v4
/
workflows
/
{workflowId}
/
history
Get the workflow run history
Authorizations
API key for authentication
Path Parameters
The unique identifier of the workflow whose runs history is to be retrieved
Query Parameters
Page number, 1-based (default 1)
Maximum number of runs per page (default 25, min 1, max 1000)
Look up one run belonging to this workflow, independently of pagination
Filter runs by outcome. success maps to FINISHED, failed maps to FAILED, in_progress maps to RUNNING.
Available options:
success, failed, in_progress ⌘I